#include <iostream>
#include "StdAfx.h"
#include "camera.h"
#ifdef VC71
#include <GL/glut.h>
#else
#include "glut.h"
#endif
#define _USE_MATH_DEFINES 
#include <math.h>

using namespace std;

Camera::Camera(void)
{
	//default values
	positionZ = 0;
	positionX = 0;
	rotation = 0;
}

Camera::~Camera(void)
{
}

void Camera::init(void)
{
#if 0
	//Setup the view of the object.
	glMatrixMode(GL_PROJECTION);

	gluPerspective( /* field of view in degree */ 60.0,
	/* aspect ratio */ 1.0,
	/* Z near */ 0.5, /* Z far */ 2000000.0);

	glMatrixMode(GL_MODELVIEW);
	gluLookAt(0.0, 0.0, 3,  /* eye is at (0,0,5) */
	0.0, 0.0, 0.0,      /* center is at (0,0,0) */
	0.0, 1.0, 0.);      /* up is in positive Y direction */
#endif
}

void Camera::render(void)
{
#if 0
	//manipulate the scene so it looks like we are looking from the camera
	glRotatef(rotation, 0.0, 1.0, 0.0);
	glTranslatef(-positionX, -positionY, -positionZ);
#endif
}

void Camera::rotate(float degs)
{
	rotation = degs;
}
