#pragma once
#include "Thing.h"

/*
A map is the background around which the user may move

all that is required is that it can be rendered and we can handle collisions
*/

class Map : public Thing
{
public:
	Map(void);
	virtual ~Map(void);

	//initialise the map
	virtual void init(void) {};
	//returns true if the thing has collided with the map
	//this method should also move the thing if it has collided into a non-colliding position
	virtual bool collide(Thing *thing) = 0;
	//render the map
	virtual void render() = 0;
};
