#pragma once
#include <vector>

class Polygon;
class Vertex;

using namespace std;

//represents the shadow volume for a polygon

//since there is no loger the concept of static polygons objects of
//this class are no longer used (since we can no loger cache shadow volumes)
//the previously used methods are commented out, now only the static methods are
//used (to calculate and render a shadow volume)

class ShadowVolume
{
public:
	//ShadowVolume(Polygon *caster, Vertex *lightPosition);
	//~ShadowVolume(void);

	//void render(void);

	//renders the shadow volume without storing it
	static void renderShadowVolumesDirect(Polygon *polygon, Vertex *lightPosition);

private:
	//two caps are represented by their normal followed by all the vertexes in the polygon
	//vector<Vertex *> nearCap;
	//vector<Vertex *> farCap;

	////four points and a normal for each face of the shadow volume
	//vector<Vertex *> faceList;

	//void calculateVolume(Polygon *caster, Vertex *lightPosition);

	////renders the near or far cap
	//void renderCap(vector<Vertex *> *cap);
};
