#pragma once
#include "map.h"

class Texture;

/*
a very simple map consisting of a rectangular room  with textured walls and floor
everything but the size/position is hard coded
*/

class SimpleMap :
	public Map
{
public:
	//create a room with opposite corners at (x1, 0, z1) and (x2, 0, z2)
	SimpleMap(float x1, float x2, float z1, float z2);
	~SimpleMap(void);

	bool collide(Thing *thing);
	void render();

private:
	//opposite corners of the map
	float x1, x2, z1, z2;
	//textures of the floor and walls
	Texture *floor;
	Texture *walls;
};
