#include "StdAfx.h"
#include "stduniverse.h"
#include "SimpleThing.h"
#include "SimpleMap.h"
#include "Camera.h"

StdUniverse::StdUniverse(void)
{
	map = new SimpleMap(-1, 3, -1, 3);
	//things.push_back(new SimpleThing());
}

StdUniverse::~StdUniverse(void)
{
	for (unsigned int i = 0; i < things.size(); ++i)
	{
		delete things[i];
	}
	delete map;
	delete camera;
}

void StdUniverse::render()
{
	camera->render();

	map->render();
	for (unsigned int i = 0; i < things.size(); ++i)
	{
		things[i]->render();
	}
}
void StdUniverse::init()
{
	camera->init();
}

